MODULE YOMFGER

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!*     YOMFGER - FIRST GUESS ERRORS AND RELATED PARAMETERS

INTEGER(KIND=JPIM) :: JPMAXLAT
INTEGER(KIND=JPIM) :: JPMAXLEV
INTEGER(KIND=JPIM) :: JPMAXVAR

PARAMETER (JPMAXLAT=500,JPMAXLEV=101,JPMAXVAR=20)

INTEGER(KIND=JPIM) :: MNROWS,MNVARS,MNFLDS,MNPTE,MNLEVMX
INTEGER(KIND=JPIM), DIMENSION(JPMAXLAT) :: MLONE
INTEGER(KIND=JPIM), DIMENSION(JPMAXVAR) :: MFIELDS,MNLEVS
REAL(KIND=JPRB), DIMENSION(JPMAXLAT) :: RZLATE,RZLON0E,RZDLONE
REAL(KIND=JPRB), DIMENSION(JPMAXLEV,JPMAXVAR) :: RZA,RZB
REAL(KIND=JPRB),DIMENSION(:,:), ALLOCATABLE :: RZEGRID

!-----------------------------------------------------------------------

END MODULE YOMFGER
